# Design Philosophy

## Customizability
Trinitrix aims to be highly customizable.
The command API provides a customizazion method, which can be used by an initial config script or live from the intern cli by the user.
The command API should cover at least 90% of the possible configuration settings.

## Cross Platform
Trinitrix is cross platform.
Even if the targeted users are nerdy linux users xD.
This can be easily achieved by using only cross platform libraries such as `crossterm` or `tui`.

## Future Proof / Extensible
Modules and Interfaces should be designed in a way, that they're not limited to only use case.
They should be open for every usecase, that makes sense.
A good example is the command API, which is a unified way to interact with the application.
It can used via lua, but use cases like fetching commands using http are theoretically possible too.
