/* WARNING(@antifallobst):
 * This file is going to be removed while implementing Chat Backend Servers!
 * <19-10-2023>
 */

use crate::app::events::Event;
use anyhow::{bail, Result};
use matrix_sdk::{config::SyncSettings, Client, LoopCtrl};
use tokio::sync::mpsc;
use tokio_util::sync::CancellationToken;

pub async fn poll(
    channel: mpsc::Sender<Event>,
    kill: CancellationToken,
    client: Client,
) -> Result<()> {
    async fn stage_2(channel: mpsc::Sender<Event>, client: Client) -> Result<()> {
        let sync_settings = SyncSettings::default();
        // .token(sync_token)
        // .timeout(Duration::from_secs(30));

        let tx = &channel;

        client
            .sync_with_callback(sync_settings, |response| async move {
                let event = Event::MatrixEvent(response);

                match tx.send(event).await {
                    Ok(_) => LoopCtrl::Continue,
                    Err(_) => LoopCtrl::Break,
                }
            })
            .await?;

        Ok(())
    }
    tokio::select! {
        output = stage_2(channel, client) => output,
        _ = kill.cancelled() => bail!("received kill signal"),
    }
}
