use std::path::PathBuf;

use clap::{Parser, Subcommand};

// TODO: The description is wrong

/// A terminal client for the matrix chat protocol
#[derive(Parser, Debug)]
#[command(author, version, about, long_about = None)]
pub struct Args {
    #[command(subcommand)]
    /// The subcommand to execute, default is start
    pub subcommand: Option<Command>,

    // #[arg(long, short)]
    // /// Path to the Lua config file, executed instead of the normal one
    // pub lua_config_file: Option<PathBuf>,
    #[arg(long, short)]
    /// Path to a plugin to load. It must be a shared-object (.so)
    pub plugin_path: Option<PathBuf>,
}
#[derive(Subcommand, Debug)]
pub enum Command {
    /// Starts the main TUI client
    Start {},
}
